esphome:
  name: tomaszs-wall-light-l
  friendly_name: Tomasz's wall light L

bk72xx:
  board: generic-bk7231t-qfn32-tuya

# Enable logging
logger:

# Enable Home Assistant API
api:
  encryption:
    key: "KgLS7JkyX3p9v3YRB/HaMtm60iJJpH9YbVD6bC8Om3w="

ota:
  platform: esphome
  password: !secret ota

web_server:

captive_portal:

mdns:

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password
  ap:

text_sensor:
  - platform: libretiny
    version:
      name: LibreTiny Version

output:
  - platform: libretiny_pwm
    id: output_cold
    pin: P26
    max_power: 80%  # Limit the cold white channel to 80%
  - platform: libretiny_pwm
    id: output_warm
    pin: P24
    max_power: 80%  # Limit the warm white channel to 80%

light:
  - platform: cwww
    id: light_cwww
    name: Light
    cold_white_color_temperature: 6500 K
    warm_white_color_temperature: 2700 K
    cold_white: output_cold
    warm_white: output_warm
    